# org.lwjgl.openal (LWJGL API)
Date: 2015-07-28

## Package org.lwjgl.openal

Class Summary
AL: The AL class implements the actual creation code for linking to the native library OpenAL.
AL10: This is the core OpenAL class.
AL11: This is the core OpenAL class.
ALC10: ALC introduces the notion of a Device.
ALC11: The ALC11 class implements features in OpenAL 1.1, specifically ALC methods and properties.
ALCcontext: The ALCcontext class represents a context opened in OpenAL space.
ALCdevice: The ALCdevice class represents a device opened in OpenAL space.
EFX10: Implementation of the OpenAL extension ALC_EXT_EFX (version 1.0).
EFXUtil: Utility class for the OpenAL extension ALC_EXT_EFX.
Util: Simple utility class for checking AL/ALC errors

Exception Summary
OpenALException: Thrown by the debug build library of the LWJGL if any OpenAL operation causes an error.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.